# listProperty

abstract fun <T> listProperty(elementType: Class<T>): ListProperty<T>

Creates a ListProperty implementation to hold a List of the given element type `T`. The property has an empty list as its initial value.

The implementation will return immutable List values from its query methods.

#### Return

The property. Never returns null.

#### Since

4.3

#### Parameters

elementType

The type of element.

<T>

The type of element.